/*  FOLDED KEY:                                                      */
/*                                                                   */
/*     This program folds a character key from two input fields.     */

char_key1        = 'key_field_1'              /* the original string */
char_key_hex1    = c2x(char_key1)             /* the string in hex   */
char_key_bin1    = x2b(char_key_hex1)         /* the string in binary*/

char_key2        = 'key_field_2'              /* the original string */
char_key_hex2    = c2x(char_key2)             /* the string in hex   */
char_key_bin2    = x2b(char_key_hex2)         /* the string in binary*/

folded_key = bitand(char_key_bin1, char_key_bin2)       /* fold keys */

say 'First key   :' char_key1                 /* display all results */
say 'In hex      :' char_key_hex1
say 'In binary   :' char_key_bin1

say 'Second key  :' char_key2                 
say 'In hex      :' char_key_hex2
say 'In binary   :' char_key_bin2

say 'Folded key  :' folded_key


